Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 766)
@@ -293,45 +293,4 @@
 // !!! PLEASE PUT MACROS RELATED TO HTM-10.0 INTEGRATIONS HERE !!!
 
-/////////////////////////////////////////////////////////////////////////////////////////
-///////////////////////////////////   HTM-9.1 Integrations //////////////////////////////
-/////////////////////////////////////////////////////////////////////////////////////////
-
-#define H_MV_FIX_TRACE_FILE                     1  // Fix linux compilation error related const char conversion 
-
-#define H_MV_LAYER_WISE_STARTUP                 1  // Basic version of layer wise startup.
-#define H_MV_FIX_SKIP_PICTURES                  1  // Fix related to skipping pictures. 
-#define H_MV_6_HRD_O0164_15                     1  // (HRD/O0164/Multilayer HRD) #15 Decision: Adopt, modified as follows: It was suggested to constrain the stalling based on the relative cpb removal times, which must be in decoding order. The "du_based_bpb_sync_flag" is not needed, in view of this. SEI in the highest layer of the layer set or (inclusive "or") VPS VUI is used to carry the parameters (at encoder discretion). SEI in higher layer and SEI in VUI do not need to repeat information available in some lower layer. Shall be after APS SEI and buffering period SEI and before all other SEI of all layers except other HRD related SEI.
-#define H_MV_6_HRD_O0217_13                     1  // (HRD/O0217/Sub-DPB based DPB operations) #13 Decision: Adopt ?Specify a separate DPB capacity for each layer ?no sharing of capacity across layers ?each layer has its own parameters (max pictures, max latency, max reordering). This proposal would specify distinct parameters for each "output layer set" and to change the definition of an operation point to be specific to an output layer set instead of a 'layer set". Decision: Adopted this aspect as well.
-#define H_MV_6_SHVC_O0098_36                    1  // (SHVC/O0098/Scaled ref layer offset) #36 Modify signalling of scaled reference layer offsets to allow signalling of any lower layer, rather than just a direct reference layer, in order to enable alignment of auxiliary pictures. In further JCT-VC and JCT-3V discussion, it was also agreed to use the same offset signalling for MV-HEVC as well as SHVC
-#define H_MV_6_GEN_0153_28                      1  //(Gen/O0153/output highest layer) #28 Add a flag in the VPS to indicate if startup process should output the highest available layer if the target output layer is not available.
-#define H_MV_6_PS_0109_25                       1  //XXX(PS/O0109/default_one_target_output_layer_idc) #25 To change default_one_target_output_layer_flag to a two-bit default_one_target_output_layer_idc, and reserve the values 2 and 3
-#define H_MV_6_O0226_37                         1  //(VUI/O0226/Mod tile WPP) #37 Modifications to the VUI indicators of tile and WPP alignment related syntax elements, from the r1.
-#define H_MV_6_RALS_O0149_11                    1  //XXX (RALS/O0149/Prop2): #11 Proposal: A new slice_reserved_flag is taken into use to indicate if a base-layer IDR picture initiates the layer-wise start-up process. Decision: Adopt (the bit should not be required to be present; if present should be the bit after the discardable_flag, and discardable_flag should be the first one of the three, and the poc reset flag is not required to be present).
-#define H_MV_6_PSEM_O0142_3                     1  // (PSEM/O0142/Conditional extension syntax) #3 Adopt JCTVC-O0142 (as a structure to be used to switch whatever extensions we define in SPS, not necessarily committing to having these extensions be separate for each extension, but the current plan unless decided otherwise is to use one flag for range extensions syntax presence and one flag for SHVC+MV-HEVC extension syntax presence) 
-#define H_MV_6_FIX_GET_VIEW_ID                  1  // Fix get view id
-#define H_MV_6_LAYER_ID_32                      1  // (Gen/O0137,O0200,O0223,Layer id) #32 Add (editorial equivalent of) "The value of nuh_layer_id shall be in the range of 0 to 62. The value of 63 for nuh_layer_id is reserved for future use by ITU-T | ISO/IEC. Decoders shall ignore all data that follow the value 63 for nuh_layer_id in a NAL unit." and specify that vps_max_layers_minus1 shall not be equal to 63, but decoders shall allow that value to appear in the bitstream. Specify that the value 63 is interpreted the same as the value 62 (e.g., MaxLayersMinus1 = Min( 62, vps_max_layers_minus1) and subsequently refer to MaxLayersMinus1 instead of vps_max_layers_minus1)
-#define H_MV_6_PS_O0118_33                      1  // (PS/O0118/visual signal info in vui per layer) #33 Add visual signal information (video_format, video_full_range_flag, colour_primaries, transfer_characteristics, matrix_coeffs) per layer to the VPS VUI, from v2 version of JCTVC-O0118.
-#define H_MV_6_POC_31_35_38                     1  //XXX  Various related to POC
-                                                   // (Misc/O0062/POC LSB present) (SH changes)
-                                                   // (POC/O0117/Modify PicOrderCntVal of prevTid0Pic) #35 Modification of the PicOrderCntVal of prevTid0Pic and modification to the decoding process for reference picture set, to address problems found for cross-layer POC alignment.
-                                                   // (POC/O0211/Fix ambiguity) #38 Modify POC derivation to correct an ambiguity in the spec.
-#define H_MV_6_MISC_O0062_31                    1  // (Misc/O0062/POC LSB present) (without SH changes ) #31 The proposal's "option 3" is to add a flag in the VPS for each EL to control whether these LSBs are present or not (for IDR pictures), and when not present, the LSBs are inferred to be equal to 0. Decision: Adopted (as described herein).
-#define H_MV_6_ILDDS_ILREFPICS_27_34            1  // Various inter layer reference picture derivation 
-                                                   // (ILDSD/O0225/max_tid_il_ref_pics RPL const.) #27 Change derivation of NumActiveRefLayerPics to consider max_tid_il_ref_pics.
-                                                   // (ILDSD/O0120/sub_layers_vps_max_minus1 RPL const) #34 Modify inter-layer reference picture list default construction to incorporate max temporal sub-layers per layer syntax elements in VPS extension, from r2 version of JCTVC-O0120
-#define H_MV_6_ILDDS_O0225_30                   1  // (ILDSD/O0225/signal max_tid_il_ref_pics per layer ) #30 2nd proposal of JCTVC-O0225 regarding signalling of max_tid_il_ref_pics per layer, based upon relation to SCE2 on single loop decoding. Decision: Adopted. 
-#define H_MV_6_ILDSD_O0120_26                   1  // (ILDSD/O0120/sub_layers_vps_max_minus1) #26 Add syntax elements to signal max temporal sub-layers for each layer in the VPS, with a gating flag, from JCTVC- option 2.
-#define H_MV_6_PS_O0223_29                      1  // (PS/O0223/Cross layer alignment type) #29 Add a flag in VPS VUI to indicate cross layer pic type alignment.  Move cross_layer_irap_aligned_flag to VPS VUI and make presence condition on added flag
-#define H_MV_6_PS_0092_17                       1  // (PS/O0092/Sharing SPS PPS) #17 Restrict sharing of SPS and PPS across layers to avoid creating problems during sub-bitstream extraction, based on modification of proposals in JCTVC-O0059 and JCTVC-O0092, reflected in the v2 version of O0092.
-#define H_MV_6_PS_REP_FORM_18_19_20             1  //  Various Rep format
-                                                   // (PS/O0096/rep format syntax element length ) #20 Modification of length to 8 bit as decided later in trac. 
-                                                   // (PS/O0179/Rep. Format) #18 Add flag in rep_format( ) syntax structure to control sending of chroma and bit depth related parameters, as proposed in the v2 version of JCTVC-O0179. 
-                                                   // (PS/O0096/rep format) #20 Modify the SPS syntax for layers with nuh_layer_id > 0 to signal a reference to a rep_format index in the VPS, rather than signalling explicit representation format data in the SPS, from the v2 version of JCTVC-O0096. 
-                                                   // (PS/FIX/N0092/Rep. Format) #19 Inferences. 
-#define H_MV_6_PS_O0096_21                      1  // (PS/O0096/direct_dependency_type gating flag) #21 Add a gating flag in VPS extension to condition the presence of direct dependency type, with a default type signalled, from JCTVC-O0096 
-#define H_MV_6_PS_O0109_22                      1  // (PS/O0109/view_id_len) #22 Modify the VPS extension syntax and semantics to replace view_id_len_minus1 with view_id_len, always signal that syntax element, add a constraint that (1<<view_id_len) >= NumViews, and modify view_id_val semantics to infer value of 0 when not present, from discussion of JCTVC-O0109 
-#define H_MV_6_PS_O0109_23                      1  // (PS/O0109/profile_ref_minus1 constraint) #23 Modify the semantics of profile_ref_minus1[ i ] to replace shall be less than i?with shall be less than or equal to i? from discussion of JCTVC-O0109 
-#define H_MV_6_PS_O0109_24                      1  // (PS/O0109/vps_vui_present_flag move) #24 Move the vps_vui_present_flag to precede vps_vui_offset, and make vps_vui_offset conditional on that flag, from JCTVC-O0109
-
 
 /////////////////////////////////////////////////////////////////////////////////////////
@@ -349,9 +308,5 @@
 #define MAX_VPS_OP_SETS_PLUS1                     1024
 #if H_MV
-#if H_MV_6_LAYER_ID_32
 #define MAX_VPS_NUH_LAYER_ID_PLUS1  63
-#else
-#define MAX_VPS_NUH_LAYER_ID_PLUS1  64
-#endif
 #define MAX_NUM_SCALABILITY_TYPES   16
 #define ENC_CFG_CONSOUT_SPACE       29           
@@ -377,25 +332,14 @@
 #define MAX_CPB_CNT                     32  ///< Upper bound of (cpb_cnt_minus1 + 1)
 #if H_MV
-#if H_MV_6_LAYER_ID_32
 #define MAX_NUM_LAYER_IDS               63
 #define MAX_NUM_LAYERS                  63
-#else
-#define MAX_NUM_LAYER_IDS               64
-#define MAX_NUM_LAYERS                  64
-#endif
 #define MAX_VPS_PROFILE_TIER_LEVEL      64
 #define MAX_VPS_ADD_OUTPUT_LAYER_SETS   1024
 #define MAX_VPS_OUTPUTLAYER_SETS        ( MAX_VPS_ADD_OUTPUT_LAYER_SETS + MAX_VPS_OP_SETS_PLUS1 )
-#if H_MV_6_PS_O0118_33
 #define  MAX_NUM_VIDEO_SIGNAL_INFO      16
-#endif
-#if H_MV_6_SHVC_O0098_36
 #define MAX_NUM_SCALED_REF_LAYERS       MAX_NUM_LAYERS-1
-#endif
-#if H_MV_6_HRD_O0164_15
 #define MAX_NUM_BSP_HRD_PARAMETERS      100 ///< Maximum value is actually not specified
 #define MAX_NUM_BITSTREAM_PARTITIONS    100 ///< Maximum value is actually not specified 
 #define MAX_NUM_BSP_SCHED_COMBINATION   100 ///< Maximum value is actually not specified 
-#endif
 #endif
 
@@ -875,5 +819,4 @@
 #if H_MV
 
-#if H_MV_6_PSEM_O0142_3
   enum PsExtensionTypes
   {
@@ -885,5 +828,4 @@
     PS_EX_T_MAX_NUM = 8
   };
-#endif
 
 /// scalability types
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 766)
@@ -556,7 +556,5 @@
 
   READ_FLAG(     uiCode, "video_signal_type_present_flag");           pcVUI->setVideoSignalTypePresentFlag(uiCode);
-#if H_MV_6_PS_O0118_33
   assert( pcSPS->getLayerId() == 0 || !pcVUI->getVideoSignalTypePresentFlag() ); 
-#endif
 
   if (pcVUI->getVideoSignalTypePresentFlag())
@@ -746,5 +744,4 @@
   {
     READ_FLAG( uiCode, "update_rep_format_flag" );               pcSPS->setUpdateRepFormatFlag( uiCode == 1 );
-#if H_MV_6_PS_REP_FORM_18_19_20
     if ( pcSPS->getUpdateRepFormatFlag() )
     { 
@@ -754,10 +751,4 @@
   else
   {
-#else
-  }
-  
-  if ( pcSPS->getUpdateRepFormatFlag() )
-  { 
-#endif
 #endif
   READ_UVLC(     uiCode, "chroma_format_idc" );                  pcSPS->setChromaFormatIdc( uiCode );
@@ -795,9 +786,5 @@
 
 #if H_MV
-#if H_MV_6_PS_REP_FORM_18_19_20
   if ( pcSPS->getLayerId() == 0 )
-#else
-  if ( pcSPS->getUpdateRepFormatFlag() )
-#endif
   { 
 #endif
@@ -948,23 +935,7 @@
 
   READ_FLAG( uiCode, "sps_extension_flag");
-#if H_MV_6_PSEM_O0142_3
   pcSPS->setSpsExtensionFlag( uiCode ); 
-#endif
   if (pcSPS->getSpsExtensionFlag( ) )
   {
-#if !H_MV_6_PSEM_O0142_3
-#if H_MV
-    parseSPSExtension( pcSPS ); 
-    READ_FLAG( uiCode, "sps_extension2_flag");
-    if ( uiCode )
-    {
-#if H_3D
-      parseSPSExtension2( pcSPS, viewIndex, depthFlag ); 
-      READ_FLAG( uiCode, "sps_extension3_flag");
-      if ( uiCode )
-      {
-#endif
-#endif
-#else    
     for (Int i = 0; i < PS_EX_T_MAX_NUM; i++)
     {
@@ -991,19 +962,9 @@
     if ( pcSPS->getSpsExtensionTypeFlag( PS_EX_T_ESC ))
     {   
-#endif
         while ( xMoreRbspData() )
         {
           READ_FLAG( uiCode, "sps_extension_data_flag");
         }
-#if H_MV_6_PSEM_O0142_3
-    }
-#else
-#if H_MV      
-#if H_3D
-      }
-#endif
-    }
-#endif
-#endif
+    }
   }
 }
@@ -1014,7 +975,4 @@
   UInt uiCode; 
   READ_FLAG( uiCode, "inter_view_mv_vert_constraint_flag" );    pcSPS->setInterViewMvVertConstraintFlag(uiCode == 1 ? true : false);
-#if !H_MV_6_SHVC_O0098_36
-  READ_UVLC( uiCode, "sps_shvc_reserved_zero_idc" ); 
-#else
   
   READ_UVLC( uiCode, "num_scaled_ref_layer_offsets" ); pcSPS->setNumScaledRefLayerOffsets( uiCode );
@@ -1031,5 +989,4 @@
     READ_SVLC( iCode, "scaled_ref_layer_bottom_offset" ); pcSPS->setScaledRefLayerBottomOffset( j, iCode );
   }
-#endif  
 }
 
@@ -1081,9 +1038,5 @@
   READ_CODE( 2,  uiCode,  "vps_reserved_three_2bits" );           assert(uiCode == 3);
 #if H_MV
-#if H_MV_6_LAYER_ID_32
   READ_CODE( 6,  uiCode,  "vps_max_layers_minus1" );              pcVPS->setMaxLayersMinus1( std::min( uiCode, (UInt) ( MAX_NUM_LAYER_IDS-1) )  );
-#else
-  READ_CODE( 6,  uiCode,  "vps_max_layers_minus1" );              pcVPS->setMaxLayersMinus1( uiCode  );
-#endif
 #else
   READ_CODE( 6,  uiCode,  "vps_reserved_zero_6bits" );            assert(uiCode == 0);
@@ -1140,7 +1093,5 @@
     }
   }
-#if H_MV_6_HRD_O0217_13
   pcVPS->deriveLayerSetLayerIdList(); 
-#endif
   TimingInfo *timingInfo = pcVPS->getTimingInfo();
   READ_FLAG(       uiCode, "vps_timing_info_present_flag");         timingInfo->setTimingInfoPresentFlag      (uiCode ? true : false);
@@ -1209,12 +1160,8 @@
   UInt uiCode; 
   READ_FLAG( uiCode, "avc_base_layer_flag" );                     pcVPS->setAvcBaseLayerFlag( uiCode == 1 ? true : false );
-#if H_MV_6_PS_O0109_24
   READ_FLAG( uiCode, "vps_vui_present_flag" );                    pcVPS->setVpsVuiPresentFlag( uiCode == 1 );  if ( pcVPS->getVpsVuiPresentFlag() )
   {  
-#endif
   READ_CODE( 16, uiCode, "vps_vui_offset" );                      pcVPS->setVpsVuiOffset( uiCode );
-#if H_MV_6_PS_O0109_24
-  }
-#endif
+  }
 
   READ_FLAG( uiCode, "splitting_flag" );                          pcVPS->setSplittingFlag( uiCode == 1 ? true : false );
@@ -1263,5 +1210,4 @@
   }
 
-#if H_MV_6_PS_O0109_22
   READ_CODE( 4, uiCode, "view_id_len" ); pcVPS->setViewIdLen( uiCode );
 
@@ -1280,17 +1226,4 @@
     }
   }
-#else
-  // GT spec says: trac #39
-  // if ( pcVPS->getNumViews() > 1 )  
-  //   However, this is a bug in the text since, view_id_len_minus1 is needed to parse view_id_val. 
-  {
-    READ_CODE( 4, uiCode, "view_id_len_minus1" ); pcVPS->setViewIdLenMinus1( uiCode );
-  }
-
-  for( Int i = 0; i < pcVPS->getNumViews(); i++ )
-  {
-    READ_CODE( pcVPS->getViewIdLenMinus1( ) + 1, uiCode, "view_id_val[i]" ); pcVPS->setViewIdVal( i, uiCode );
-  }
-#endif
 
 
@@ -1302,8 +1235,5 @@
     }
   }
-#if H_MV_6_MISC_O0062_31
   pcVPS->setRefLayers(); 
-#endif
-#if H_MV_6_ILDSD_O0120_26
   READ_FLAG( uiCode, "vps_sub_layers_max_minus1_present_flag" ); pcVPS->setVpsSubLayersMaxMinus1PresentFlag( uiCode == 1 );
   if ( pcVPS->getVpsSubLayersMaxMinus1PresentFlag() )
@@ -1323,5 +1253,4 @@
     }
   }
-#endif
   READ_FLAG( uiCode, "max_tid_ref_present_flag" ); pcVPS->setMaxTidRefPresentFlag( uiCode == 1 );
 
@@ -1330,5 +1259,4 @@
     for( Int i = 0; i < pcVPS->getMaxLayersMinus1(); i++ )
     {
-#if H_MV_6_ILDDS_O0225_30
       for( Int j = i + 1; j <= pcVPS->getMaxLayersMinus1(); j++ )
       {
@@ -1338,7 +1266,4 @@
         }
       }
-#else
-      READ_CODE( 3, uiCode,       "max_tid_il_ref_pics_plus1[i]" );      pcVPS->setMaxTidIlRefPicPlus1( i , uiCode ); 
-#endif
     }
   }
@@ -1354,7 +1279,5 @@
     {
       READ_CODE( 6, uiCode, "profile_ref_minus1[i]" ); pcVPS->setProfileRefMinus1( i, uiCode );
-#if H_MV_6_PS_O0109_23
       pcVPS->checkProfileRefMinus1( i );      
-#endif
     }
     parsePTL ( pcVPS->getPTL( i ), pcVPS->getVpsProfilePresentFlag( i ), pcVPS->getMaxTLayers()-1);
@@ -1379,16 +1302,10 @@
   if( numOutputLayerSets > 1)
   {
-#if H_MV_6_PS_0109_25
     READ_CODE( 2, uiCode, "default_one_target_output_layer_idc" ); pcVPS->setDefaultOneTargetOutputLayerIdc( uiCode );
     pcVPS->checkDefaultOneTargetOutputLayerIdc(); 
-#else
-    READ_FLAG( uiCode, "default_one_target_output_layer_flag" ); pcVPS->setDefaultOneTargetOutputLayerFlag(  uiCode == 1); 
-#endif
   }  
 
-#if H_MV_6_HRD_O0217_13
   pcVPS->setOutputLayerFlag(0, 0, pcVPS->inferOutputLayerFlag( 0, 0 )); 
   pcVPS->setOutputLayerSetIdxMinus1(0, -1); 
-#endif
   for( Int i = 1; i < numOutputLayerSets; i++ )
   {
@@ -1401,5 +1318,4 @@
       }        
     }
-#if H_MV_6_HRD_O0217_13
     else
     { // These inference rules would also be helpful in spec text
@@ -1410,5 +1326,4 @@
       }
     }
-#endif
 
     if ( pcVPS->getProfileLevelTierIdxLen()  > 0 )
@@ -1417,13 +1332,9 @@
     }
   }
-#if H_MV_6_GEN_0153_28
   if( pcVPS->getMaxLayersMinus1() > 0 )
   {
     READ_FLAG( uiCode, "alt_output_layer_flag" ); pcVPS->setAltOutputLayerFlag( uiCode == 1 );
   }
-#endif
-#if H_MV_6_HRD_O0217_13
   pcVPS->deriveTargetLayerIdLists(); 
-#endif
   READ_FLAG( uiCode, "rep_format_idx_present_flag" ); pcVPS->setRepFormatIdxPresentFlag( uiCode == 1 );
   if ( pcVPS->getRepFormatIdxPresentFlag() )
@@ -1434,5 +1345,4 @@
   for (Int i = 0; i <= pcVPS->getVpsNumRepFormatsMinus1(); i++ )
   { 
-#if H_MV_6_PS_REP_FORM_18_19_20
     assert( pcVPS->getRepFormat(i) == NULL ); 
     TComRepFormat* curRepFormat = new TComRepFormat(); 
@@ -1440,10 +1350,4 @@
     parseRepFormat( i, curRepFormat ,  prevRepFormat); 
     pcVPS->setRepFormat(i, curRepFormat ); 
-#else
-    assert( pcVPS->getRepFormat(i) == NULL ); 
-    TComRepFormat* repFormat = new TComRepFormat(); 
-    parseRepFormat( repFormat );
-    pcVPS->setRepFormat(i, repFormat ); 
-#endif
   }
 
@@ -1454,9 +1358,5 @@
       if( pcVPS->getVpsNumRepFormatsMinus1() > 0 )
       {
-#if H_MV_6_PS_REP_FORM_18_19_20
         READ_CODE( 8, uiCode, "vps_rep_format_idx" ); pcVPS->setVpsRepFormatIdx( i, uiCode );
-#else
-        READ_CODE( 4, uiCode, "vps_rep_format_idx" ); pcVPS->setVpsRepFormatIdx( i, uiCode );
-#endif
       }
     }
@@ -1464,5 +1364,4 @@
 
   READ_FLAG( uiCode, "max_one_active_ref_layer_flag" ); pcVPS->setMaxOneActiveRefLayerFlag ( uiCode == 1 ); 
-#if H_MV_6_MISC_O0062_31
   for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
   {
@@ -1472,16 +1371,9 @@
     }
   }
-#endif
-
-#if H_MV_6_HRD_O0217_13
+
   parseDpbSize( pcVPS ); 
-#endif
-
-#if !H_MV_6_PS_O0223_29
-  READ_FLAG( uiCode, "cross_layer_irap_aligned_flag" ); pcVPS->setCrossLayerIrapAlignedFlag( uiCode == 1 );
-#endif
+
   READ_UVLC( uiCode, "direct_dep_type_len_minus2")    ; pcVPS->setDirectDepTypeLenMinus2   ( uiCode ); 
 
-#if H_MV_6_PS_O0096_21
   READ_FLAG( uiCode, "default_direct_dependency_flag" ); pcVPS->setDefaultDirectDependencyFlag( uiCode == 1 );
   if ( pcVPS->getDefaultDirectDependencyFlag( ) )
@@ -1507,21 +1399,6 @@
     }
   }  
-#else
-  for( Int i = 1; i <= pcVPS->getMaxLayersMinus1(); i++ )
-  {
-    for( Int j = 0; j < i; j++ )
-    {
-      if (pcVPS->getDirectDependencyFlag( i, j) )
-      {        
-        READ_CODE( pcVPS->getDirectDepTypeLenMinus2( ) + 2,  uiCode, "direct_dependency_type[i][j]" ); pcVPS->setDirectDependencyType( i, j , uiCode);
-      }
-    }
-  }
-#endif
 
   READ_FLAG( uiCode, "vps_shvc_reserved_zero_flag" ); 
-#if !H_MV_6_PS_O0109_24
-  READ_FLAG( uiCode, "vps_vui_present_flag" )       ; pcVPS->setVpsVuiPresentFlag( uiCode == 1 );
-#endif
 
   if( pcVPS->getVpsVuiPresentFlag() )
@@ -1532,14 +1409,7 @@
 
   pcVPS->checkVPSExtensionSyntax(); 
-#if !H_MV_6_MISC_O0062_31
-  pcVPS->setRefLayers(); 
-#endif
-}
-
-#if H_MV_6_PS_REP_FORM_18_19_20
+}
+
 Void TDecCavlc::parseRepFormat( Int i, TComRepFormat* pcRepFormat, TComRepFormat* pcPrevRepFormat )
-#else
-Void TDecCavlc::parseRepFormat( TComRepFormat* pcRepFormat )
-#endif
 {
   assert( pcRepFormat ); 
@@ -1547,5 +1417,4 @@
   UInt uiCode; 
 
-#if H_MV_6_PS_REP_FORM_18_19_20
   READ_CODE( 16, uiCode, "pic_width_vps_in_luma_samples" );  pcRepFormat->setPicWidthVpsInLumaSamples ( uiCode );
   READ_CODE( 16, uiCode, "pic_height_vps_in_luma_samples" ); pcRepFormat->setPicHeightVpsInLumaSamples( uiCode );
@@ -1556,5 +1425,4 @@
   if ( pcRepFormat->getChromaAndBitDepthVpsPresentFlag() )
   {  
-#endif
   READ_CODE( 2,  uiCode, "chroma_format_vps_idc" );          pcRepFormat->setChromaFormatVpsIdc       ( uiCode );
   if ( pcRepFormat->getChromaFormatVpsIdc() == 3 )
@@ -1562,11 +1430,6 @@
     READ_FLAG( uiCode, "separate_colour_plane_vps_flag" ); pcRepFormat->setSeparateColourPlaneVpsFlag( uiCode == 1 ); 
   }
-#if !H_MV_6_PS_REP_FORM_18_19_20
-  READ_CODE( 16, uiCode, "pic_width_vps_in_luma_samples" );  pcRepFormat->setPicWidthVpsInLumaSamples ( uiCode );
-  READ_CODE( 16, uiCode, "pic_height_vps_in_luma_samples" ); pcRepFormat->setPicHeightVpsInLumaSamples( uiCode );
-#endif
   READ_CODE( 4,  uiCode, "bit_depth_vps_luma_minus8" );      pcRepFormat->setBitDepthVpsLumaMinus8    ( uiCode );
   READ_CODE( 4,  uiCode, "bit_depth_vps_chroma_minus8" );    pcRepFormat->setBitDepthVpsChromaMinus8  ( uiCode );
-#if H_MV_6_PS_REP_FORM_18_19_20
   }
   else
@@ -1574,5 +1437,4 @@
     pcRepFormat->inferChromaAndBitDepth(pcPrevRepFormat, false ); 
   }
-#endif
 }
 
@@ -1587,5 +1449,4 @@
 
   UInt uiCode; 
-#if H_MV_6_PS_O0223_29
   READ_FLAG( uiCode, "cross_layer_pic_type_aligned_flag" ); pcVPSVUI->setCrossLayerPicTypeAlignedFlag( uiCode == 1 );
   if ( !pcVPSVUI->getCrossLayerPicTypeAlignedFlag() )
@@ -1593,5 +1454,4 @@
     READ_FLAG( uiCode, "cross_layer_irap_aligned_flag" ); pcVPSVUI->setCrossLayerIrapAlignedFlag( uiCode == 1 );
   }
-#endif
   READ_FLAG( uiCode, "bit_rate_present_vps_flag" ); pcVPSVUI->setBitRatePresentVpsFlag( uiCode == 1 );
   READ_FLAG( uiCode, "pic_rate_present_vps_flag" ); pcVPSVUI->setPicRatePresentVpsFlag( uiCode == 1 );
@@ -1624,5 +1484,4 @@
   }
 
-#if H_MV_6_O0226_37
   READ_FLAG( uiCode, "tiles_not_in_use_flag" ); pcVPSVUI->setTilesNotInUseFlag( uiCode == 1 );
   if( !pcVPSVUI->getTilesNotInUseFlag() ) 
@@ -1659,13 +1518,4 @@
     }
   }
-#else
-  for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
-  {
-    for( Int  j = 0; j < pcVPS->getNumDirectRefLayers( pcVPS->getLayerIdInNuh( i ) ); j++ ) 
-    {
-      READ_FLAG( uiCode, "tile_boundaries_aligned_flag" ); pcVPSVUI->setTileBoundariesAlignedFlag( i, j, uiCode == 1 );
-    }
-  }
-#endif
 
   READ_FLAG( uiCode, "ilp_restricted_ref_layers_flag" ); pcVPSVUI->setIlpRestrictedRefLayersFlag( uiCode == 1 );
@@ -1690,5 +1540,4 @@
   }
 
-#if H_MV_6_PS_O0118_33
   READ_FLAG( uiCode, "video_signal_info_idx_present_flag" ); pcVPSVUI->setVideoSignalInfoIdxPresentFlag( uiCode == 1 );
   if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() )
@@ -1724,6 +1573,4 @@
     }
   }
-#endif
-#if H_MV_6_HRD_O0164_15
   READ_FLAG( uiCode, "vps_vui_bsp_hrd_present_flag" ); pcVPSVUI->setVpsVuiBspHrdPresentFlag( uiCode == 1 );
   if ( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) )
@@ -1731,8 +1578,6 @@
     parseVpsVuiBspHrdParameters( pcVPS ); 
 }
-#endif
-}
-
-#if H_MV_6_HRD_O0164_15
+}
+
 Void TDecCavlc::parseVpsVuiBspHrdParameters( TComVPS* pcVPS )
 {
@@ -1791,7 +1636,5 @@
   }  
 }  
-#endif
-
-#if H_MV_6_PS_O0118_33
+
 Void TDecCavlc::parseVideoSignalInfo( TComVideoSignalInfo* pcVideoSignalInfo ) 
 {
@@ -1803,7 +1646,5 @@
   READ_CODE( 8, uiCode, "matrix_coeffs_vps" );            pcVideoSignalInfo->setMatrixCoeffsVps( uiCode );
 }
-#endif
-
-#if H_MV_6_HRD_O0217_13
+
 Void TDecCavlc::parseDpbSize( TComVPS* vps )
 {
@@ -1846,5 +1687,4 @@
   }  
 }
-#endif
 #endif
 
@@ -2000,10 +1840,8 @@
   sps->inferRepFormat  ( vps , rpcSlice->getLayerId() ); 
   sps->inferScalingList( parameterSetManager->getActiveSPS( sps->getSpsScalingListRefLayerId() ) );   
-#if H_MV_6_PS_O0118_33
   if ( sps->getVuiParametersPresentFlag() )
   {
     sps->getVuiParameters()->inferVideoSignalInfo( vps, rpcSlice->getLayerId() ); 
   }
-#endif
   rpcSlice->setVPS(vps);      
   rpcSlice->setViewId   ( vps->getViewId   ( rpcSlice->getLayerId() )      );
@@ -2059,5 +1897,18 @@
 #if H_MV    
     Int esb = 0; //Don't use i, otherwise will shadow something below
-#if !H_MV_6_RALS_O0149_11
+
+    if ( rpcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
+    {
+      esb++; 
+      READ_FLAG( uiCode, "discardable_flag" ); rpcSlice->setDiscardableFlag( uiCode == 1 );
+    }
+
+    if ( rpcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
+    {
+      esb++; 
+      READ_FLAG( uiCode, "cross_layer_bla_flag" ); rpcSlice->setCrossLayerBlaFlag( uiCode == 1 );
+    }
+    rpcSlice->checkCrossLayerBlaFlag( ); 
+
     if ( rpcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
     {
@@ -2065,26 +1916,4 @@
       READ_FLAG( uiCode, "poc_reset_flag" ); rpcSlice->setPocResetFlag( uiCode == 1 );
     }
-#endif
-
-    if ( rpcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      READ_FLAG( uiCode, "discardable_flag" ); rpcSlice->setDiscardableFlag( uiCode == 1 );
-    }
-
-#if H_MV_6_RALS_O0149_11
-    if ( rpcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      READ_FLAG( uiCode, "cross_layer_bla_flag" ); rpcSlice->setCrossLayerBlaFlag( uiCode == 1 );
-    }
-    rpcSlice->checkCrossLayerBlaFlag( ); 
-
-    if ( rpcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      READ_FLAG( uiCode, "poc_reset_flag" ); rpcSlice->setPocResetFlag( uiCode == 1 );
-    }
-#endif
 
     for (; esb < rpcSlice->getPPS()->getNumExtraSliceHeaderBits(); esb++)    
@@ -2111,5 +1940,4 @@
 
 
-#if H_MV_6_POC_31_35_38
     UInt slicePicOrderCntLsb = 0;
     Int iPOClsb = slicePicOrderCntLsb;  // Needed later
@@ -2158,11 +1986,7 @@
       rpcSlice->setPOC              ( 0 );
     }      
-#endif
 
     if( rpcSlice->getIdrPicFlag() )
     {
-#if !H_MV_6_POC_31_35_38
-      rpcSlice->setPOC(0);
-#endif
       TComReferencePictureSet* rps = rpcSlice->getLocalRPS();
       rps->setNumberOfNegativePictures(0);
@@ -2177,41 +2001,4 @@
     else
     {
-#if !H_MV_6_POC_31_35_38
-      READ_CODE(sps->getBitsForPOC(), uiCode, "pic_order_cnt_lsb");  
-      Int iPOClsb = uiCode;
-      Int iPrevPOC = rpcSlice->getPrevTid0POC();
-      Int iMaxPOClsb = 1<< sps->getBitsForPOC();
-      Int iPrevPOClsb = iPrevPOC & (iMaxPOClsb - 1);
-      Int iPrevPOCmsb = iPrevPOC-iPrevPOClsb;
-      Int iPOCmsb;
-      if( ( iPOClsb  <  iPrevPOClsb ) && ( ( iPrevPOClsb - iPOClsb )  >=  ( iMaxPOClsb / 2 ) ) )
-      {
-        iPOCmsb = iPrevPOCmsb + iMaxPOClsb;
-      }
-      else if( (iPOClsb  >  iPrevPOClsb )  && ( (iPOClsb - iPrevPOClsb )  >  ( iMaxPOClsb / 2 ) ) ) 
-      {
-        iPOCmsb = iPrevPOCmsb - iMaxPOClsb;
-      }
-      else
-      {
-        iPOCmsb = iPrevPOCmsb;
-      }
-      if ( rpcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_BLA_W_LP
-        || rpcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_BLA_W_RADL
-        || rpcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_BLA_N_LP )
-      {
-        // For BLA picture types, POCmsb is set to 0.
-        iPOCmsb = 0;
-      }
-      rpcSlice->setPOC              (iPOCmsb+iPOClsb);
-#if H_MV
-      if ( rpcSlice->getPocResetFlag() )  
-      {
-        rpcSlice->setPocBeforeReset   ( rpcSlice->getPOC() ); 
-        rpcSlice->setPOC              ( 0 );
-
-      }      
-#endif
-#endif
       TComReferencePictureSet* rps;
       rps = rpcSlice->getLocalRPS();
@@ -2347,7 +2134,5 @@
     }
 #if H_MV
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     Bool interLayerPredLayerIdcPresentFlag = false; 
-#endif
     Int layerId       = rpcSlice->getLayerId(); 
     if( rpcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumDirectRefLayers( layerId ) > 0 )
@@ -2362,7 +2147,5 @@
         if ( rpcSlice->getNumActiveRefLayerPics() != vps->getNumDirectRefLayers( layerId ) )
         {
-#if H_MV_6_ILDDS_ILREFPICS_27_34
           interLayerPredLayerIdcPresentFlag = true; 
-#endif
           for( Int idx = 0; idx < rpcSlice->getNumActiveRefLayerPics(); idx++ )   
           {
@@ -2372,5 +2155,4 @@
       }  
     }
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     if ( !interLayerPredLayerIdcPresentFlag )
     {
@@ -2380,5 +2162,4 @@
       }
     }
-#endif
 #endif
     if(sps->getUseSAO())
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 766)
@@ -78,19 +78,9 @@
 #if H_MV
   Void  parseVPSExtension   ( TComVPS* pcVPS ); 
-#if H_MV_6_PS_REP_FORM_18_19_20
   Void  parseRepFormat      ( Int i, TComRepFormat* curRepFormat, TComRepFormat* prevRepFormat );
-#else
-  Void  parseRepFormat      ( TComRepFormat* pcRepFormat );
-#endif
   Void  parseVPSVUI         ( TComVPS* pcVPS );
-#if H_MV_6_PS_O0118_33
   Void parseVideoSignalInfo ( TComVideoSignalInfo* pcVideoSignalInfo ); 
-#endif
-#if H_MV_6_HRD_O0217_13
   Void  parseDpbSize        ( TComVPS* pcVPS ); 
-#endif
-#if H_MV_6_HRD_O0164_15
   Void parseVpsVuiBspHrdParameters( TComVPS* pcVPS ); 
-#endif
 #endif
 
